{ lib, ... }:

# This file contains global constants that are
# used thoughout the configuration files. They are
# "variables", in the sense that they can change
# from time to time and we don't like to search-replace.
{
  options.var = lib.mkOption {
    type = lib.types.attrs;
    readOnly = true;
    default = {
      hostname  = "maxwell.ydns.eu";
      ipv4WanAddress = "2.35.5.112";
      ipv4LanAddress = "192.168.1.5";
      ipv6Address = "2001:470:c8e8:0:230:48ff:fefa:91e1";
    };
    description = "Global constants.";
  };

}
